libjava testsuite problems on cygwin

Billinghurst, David (CRTS) David.Billinghurst@riotinto.com
Sun Jul 14 17:32:00 GMT 2002


It is DOCUMENTED to work, but it doesn't work for me :-<
I have had this problem with other packages, too.

$ runtest FOO=bar --version
WARNING: Couldn't find the global config file.

Illegal Argument "FOO=bar"
try "runtest --help" for option list


$ runtest --version
WARNING: Couldn't find the global config file.
Expect version is       5.26
Tcl version is          8.0
Framework version is    1.4.2

-----Original Message-----
From: Tom Tromey [mailto:tromey@redhat.com]
Sent: Sunday, 14 July 2002 11:51 
To: Billinghurst, David (CRTS)
Cc: java@gcc.gnu.org
Subject: Re: libjava testsuite problems on cygwin


>>>>> "David" == Billinghurst, David (CRTS) <David.Billinghurst@riotinto.com> writes:

David> At present the gcc-3.2 libjava testsuite isn't running on cygwin,
David> as it can't find runtest.  I have identified the immediate cause,
David> and have a work around, but don't understand all the details.

David> runtest then complains 
David> 	Illegal Argument "INTERPRETER=yes"
David> 	try "runtest --help" for option list
David> and exits with an error

What version of dejagnu are you using?

I'm using this:

    fleche. runtest FOO=bar --version
    WARNING: Couldn't find the global config file.
    Expect version is	5.26
    Tcl version is		8.3
    Framework version is	1.4.2.x

It works fine here, and is documented to work.

Tom



More information about the Java mailing list